reinitialize
bg_color white

# Loren Williams, Georgia Tech
# pymol script for TBP


load 1NVP.pdb, structure

hide everything, structure



#_____select just the DNA, put it in an object, display it as sticks, color it


create DNA, ((chain E+F) and structure)
set cartoon_ring_mode, 0, DNA
show cartoon, DNA
hide lines, DNA
#color gray, (DNA and elem c)
#color red, (DNA and elem o)
color Silver, DNA 
#color blue, (DNA and elem n)

create DNA_stick, DNA
hide everything, DNA_Stick
show sticks, DNA_Stick

color wheat, (DNA_Stick and elem c and (resn DG+DC))
color lightblue, (DNA_Stick and elem c and (resn DA+DT))
#
color red, (DNA_Stick and elem o)
color blue, (DNA_Stick and elem n)
#
#______make bases and sugars as distinct objects with several different representations
#
create bases, DNA and (name n1 or name c2 or name o2 or name n3 or name c4 or name o4 or name n4 or name c5m or name c5 or name c6 or name n9 or name c8 or name n7 or name n6 or name o6 or name n2)
#


#
create gc_vdw, bases and (resn DG or resn DC)
create gc_stick, gc_vdw 
color skyblue, gc_vdw
show spheres, gc_vdw
show stick, gc_stick
color blue, name N and gc_stick

#
create gc_sugar, (DNA and resn DG+DC) and (name o3' or name c3' or name c2' or name c1' or name c4' or name c5' or name o4' or name o5')
hide everything, gc_sugar
show stick, gc_sugar
#
#
#
#
create at_vdw, bases and (resn DA or resn DT)
create at_stick, at_vdw 
color red, at_vdw
show spheres, at_vdw
show stick, at_stick
create at_sugar, (DNA and resn DA+DT) and (name o3' or name c3' or name c2' or name c1' or name c4' or name c5' or name o4' or name o5')
hide everything, at_sugar
show stick, at_sugar
#
#
color blue, name N* and (gc_* or at_*)
color red, name O* and (gc_* or at_*)
color wheat, name C* and (gc_*)
color lightblue, name C* and (at_*)
#
delete bases
#
#
#______make phosphates
create phosphates, DNA and (name P+OP*+O5'+O3')
hide everything, phosphates
show sticks, phosphates
color red, phosphates and name O*
color yellow, phosphates and name P
#

#______TFIIa
create TFIIa, (chain C+D or (chain B and resi 9-51) ) and structure
show cartoon, TFIIa
color cyan, TFIIa


#______TBP

create TBP_cartoon, chain A+B
remove resn HOH and TBP_cartoon
remove chain B and resi 9-51 and TBP_cartoon
show cartoon, TBP_cartoon


create TBP_surface, TBP_cartoon
hide everything, TBP_surface
show surface, TBP_surface


create TBP_stick, TBP_cartoon
hide everything, TBP_stick
show stick, TBP_stick

create phe, /TBP_cartoon//A/PHE`288 or /TBP_cartoon//A/PHE`197 or /TBP_cartoon//A/PHE`214 or /TBP_cartoon//A/PHE`305/
hide everything, phe
show spheres, phe

create arg_lys, TBP_cartoon and resn arg+lys
hide everything, arg_lys
show sticks, arg_lys

distance tbp_to_base, TBP_stick, (gc_* or at_*), 3.4
distance arg_lys_to_phosphate, arg_lys, phosphates, 3.4
distance sugar_to_tbp, at_sugar, tbp_stick, 3.6


color black, tbp_to_base
color black, arg_lys_to_phosphate
color black, sugar_to_tbp



disable *
enable TBP_cartoon
enable DNA
enable TFIIa
delete structure

### to orient and slab, type get_view, cut and paste into script ###
### cut below here and paste into script ###

set_view (\
     0.091352120,    0.160076335,   -0.982870221,\
    -0.869946837,    0.493148953,   -0.000539486,\
     0.484613955,    0.855091155,    0.184307769,\
    -0.000059642,    0.000042006, -222.517593384,\
    24.051074982,   39.761661530,    3.368115425,\
   200.941055298,  244.092697144,    0.000000000 )


#ray 1000,1000
#save tbp_view_1.png
#